# Uses of Interface
org.bukkit.scoreboard.Scoreboard

Packages that use Scoreboard
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.scoreboard
Interfaces used to manage the client side score display system.

## Uses of Scoreboard in org.bukkit.entity

Methods in org.bukkit.entity that return Scoreboard
Modifier and Type
Method
Description
`@NotNull Scoreboard`
Player.`getScoreboard()`
Gets the Scoreboard displayed to this player
Methods in org.bukkit.entity with parameters of type Scoreboard
Modifier and Type
Method
Description
`void`
Player.`setScoreboard(@NotNull Scoreboard scoreboard)`
Sets the player's visible Scoreboard.

## Uses of Scoreboard in org.bukkit.scoreboard

Methods in org.bukkit.scoreboard that return Scoreboard
Modifier and Type
Method
Description
`@NotNull Scoreboard`
ScoreboardManager.`getMainScoreboard()`
Gets the primary Scoreboard controlled by the server.
`@NotNull Scoreboard`
ScoreboardManager.`getNewScoreboard()`
Gets a new Scoreboard to be tracked by the server.
`@Nullable Scoreboard`
Objective.`getScoreboard()`
Gets the scoreboard to which this objective is attached.
`@Nullable Scoreboard`
Score.`getScoreboard()`
Gets the scoreboard for the associated objective.
`@Nullable Scoreboard`
Team.`getScoreboard()`
Gets the Scoreboard to which this team is attached